/* === Inline styles === */

body {
    font-family: 'Roboto', sans-serif;
    font-weight: 800;
}

.aanqco {
    background: linear-gradient(350deg, #460650 1.45%, #C848CC 140.32%);
}

.aanqcp {
    max-width: 450px !important;

    @media (max-width: 767px) {
        margin-top: -25% !important;
        max-width: 300px !important;
    }
}

.aanqcq {
    background: #210C28;
    border: 2px solid #C73CD9;
}

.aanqcq::before {
    background: #210C28 !important;
}

.aanqcq::after {
    content: "";
    position: absolute;
    left: -4em;
    top: 50%;
    transform: translateY(-50%);
    display: block;
    width: 12em;
    height: 12em;
    background-image: url("../assets/2.webp");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 2;

    @media (max-width: 767px) {
        left: -8em;
        width: 15em;
        height: 15em;
    }
}

.aanqcr {
    background: linear-gradient(180deg, #FFD10D 0%, #FF5A24 100%);
}

.aanqco {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 999;
    width: 100%;
    padding: 15px;
    display: flex;
    overflow: hidden;
    height: 100dvh;
}

.aanqco.is--loaded {
    display: none;
}

.aanqcp {
    margin-bottom: 35px;
    width: 100%;
    max-width: 400px;
}

.aanqcq {
    width: 100%;
    height: 28px;
    max-width: 340px;
    padding: 4px;
    border-radius: 100px;
    position: relative;
}

.aanqcq::before {
    position: absolute;
    content: '';
    left: 4px;
    top: 4px;
    border-radius: 100px;
    width: calc(100% - 8px);
    height: calc(100% - 8px);
    background-color: #fff;
}

.aanqcr {
    position: relative;
    z-index: 2;
    width: 0;
    height: 100%;
    border-radius: 100px;
    transition: width 0.5s ease;
}

@media (max-width: 767px) {
    .aanqcq {
        max-width: 220px;
    }
}

.scratch-cards {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 25px;
    padding: 0 45px;
}

.scratch-description {
    margin: 0 auto;
    text-align: center;
    font-size: 6.3em;
    text-transform: uppercase;
    color: #fff;
    margin-bottom: 38px;
    padding: 0 45px;
}

.scratch-cards__explication {
    flex: 1;
    max-width: 600px;
    height: 33.33em;
    position: relative;
}

.scratch-cards__explication.is--animate::before {
    content: "";
    position: absolute;
    z-index: 2;
    width: 15em;
    height: 21em;
    display: block;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("../assets/hand.webp");
    animation: scratch 4s ease-in-out infinite;
}

@-webkit-keyframes scratch {
    0% {
        top: 5%;
        left: 5%;
    }

    25% {
        top: 20%;
        left: 85%;
    }

    50% {
        top: 40%;
        left: 5%;
    }

    75% {
        top: 60%;
        left: 85%;
    }

    100% {
        top: 80%;
        left: 5%;
    }
}

.scratch-cards__item {
    flex: 1;
    max-width: 600px;
    height: 33.33em;
    border: 5px solid #fff;
    background: radial-gradient(50% 50% at 50% 50%, rgba(251, 145, 217, 0.75) 0%, rgba(228, 35, 140, 0.75) 100%);
    border-radius: 25px;
    position: relative;
    overflow: hidden;
    box-shadow: 0 20px 5.77px 0 rgba(0, 0, 0, 0.30);
}

.scratch-cards__item:nth-child(1) .bonus-item {
    font-size: 9.7em;
}

.scratch-cards__item:nth-child(2) .bonus-item {
    font-size: 9.7em;
}

.scratch-cards__item:nth-child(3) .bonus-item {
    font-size: 9.7em;
}

.scratch-cards__item .sc__inner {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
}

.scratch-cards__item canvas {
    position: relative;
}

.scratch-cards__item img {
    position: absolute;
    width: 100%;
    height: 100%;
}

.scratch-cards__item .inner-html {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
    position: relative;
}

.scratch-cards__item .bonus-item {
    position: relative;
    text-transform: uppercase;
    color: #b832fd;
    padding: 2px;
}

@media (max-width: 767px) {
    .scratch-cards {
        flex-direction: column;
        gap: 10px;
    }

    .scratch-cards__item {
        flex: unset;
        width: 300px;
        height: 200px;
        border: 2px solid #fff;
    }

    .scratch-description {
        font-size: 25px;
        margin: 15px 0;
    }
}

@media (max-width: 767px) and (max-height: 750px) {
    .scratch-cards.scratch-cards {
        flex-direction: column;
        gap: 8px;
    }

    .scratch-description.scratch-description {
        font-size: 4.55em;
        margin: 10px 0;
    }

    .scratch-cards__item.scratch-cards__item {
        width: 44em;
        height: 29em;
    }
}

.bottom__section-button-text {
    white-space: nowrap;
}